### Function

# Atk Role register

deprecated: Unknown

#### Declaration [src]

    AtkRole
    atk_role_register (
      const gchar* name
    )

#### Description [src]

Registers the role specified by `name`. `name` must be a meaningful name. So it should not be empty, or consisting on whitespaces.

Deprecated since: Unknown

Since 2.12. If your application/toolkit doesn’t find a suitable role for a specific object defined at `AtkRole`, please submit a bug in order to add a new role to the specification.

#### Parameters

`name`

  Type: `const gchar*`

  A character string describing the new role.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `AtkRole`

An `AtkRole` for the new role if added properly. ATK_ROLE_INVALID in case of error.